# Generated by Django 2.2.3 on 2019-07-29 14:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('category', '0005_auto_20190729_1644'),
        ('user', '0003_auto_20190729_1245'),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('start_date', models.DateField(auto_now_add=True)),
                ('category_activity', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='activities', to='category.CategoryActivity')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='activities', to='user.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ActivityAnswer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('answer_text', models.TextField()),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='answers', to='activity.Activity')),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='user_answers', to='category.CategoryActivityQuestion')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
